be.ehealth.technicalconnector.service.etee

## Interface Crypto

- All Superinterfaces:
    ConfigurableImplementation
  All Known Implementing Classes:
    AbstractEndToEndCrypto, CryptoImpl

      public interface Crypto
      extends ConfigurableImplementation

  Interface for all the interanction with the ETEE cryptolib.
- Extends: `ConfigurableImplementation`
- Default implementation: `CryptoImpl`
- Factory: `CryptoFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Crypto.SigningPolicySelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATASEALER_CREDENTIAL` Key used to pass the `Credential` as init param in the `ConfigurableFactoryHelper`
    `static String` | `DATAUNSEALER_PKMAP` Key used to pass the `Map` as init param in the `ConfigurableFactoryHelper`
    `static String` | `OCSP_OPTIONMAP` Optional Map<`OCSPOption`,Object>
    `static String` | `OCSP_POLICY` Optional ocsp_policy to use `OCSPPolicy`
    `static String` | `SIGNING_OPTIONMAP` Optional Map<`SigningOption`,Object>

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `seal(Crypto.SigningPolicySelector type, EncryptionToken enncryptionToken, byte[] content)`
    `byte[]` | `seal(Crypto.SigningPolicySelector type, KeyResult symmKey, byte[] content)`
    `byte[]` | `seal(Crypto.SigningPolicySelector type, Set<EncryptionToken> paramEncryptionTokenSet, byte[] content)`
    `byte[]` | `seal(Crypto.SigningPolicySelector type, Set<EncryptionToken> paramEncryptionTokenSet, KeyResult symmKey, byte[] content)`
    `UnsealedData` | `unseal(Crypto.SigningPolicySelector type, byte[] protectedMessage)`
    `UnsealedData` | `unseal(Crypto.SigningPolicySelector type, KeyResult symmKey, byte[] protectedMessage)`

    - ### Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation

      `initialize`

- - ### Field Detail

    - #### DATAUNSEALER_PKMAP

          static final String DATAUNSEALER_PKMAP

      Key used to pass the `Map` as init param in the `ConfigurableFactoryHelper`
      See Also:
        Constant Field Values

    - #### DATASEALER_CREDENTIAL

          static final String DATASEALER_CREDENTIAL

      Key used to pass the `Credential` as init param in the `ConfigurableFactoryHelper`
      See Also:
        Constant Field Values

    - #### OCSP_OPTIONMAP

          static final String OCSP_OPTIONMAP

      Optional Map<`OCSPOption`,Object>
      See Also:
        Constant Field Values

    - #### SIGNING_OPTIONMAP

          static final String SIGNING_OPTIONMAP

      Optional Map<`SigningOption`,Object>
      See Also:
        Constant Field Values

    - #### OCSP_POLICY

          static final String OCSP_POLICY

      Optional ocsp_policy to use `OCSPPolicy`

      Default OCSPPolicy.NONE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### seal

          byte[] seal(Crypto.SigningPolicySelector type,
                      EncryptionToken enncryptionToken,
                      byte[] content)
               throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### seal

          byte[] seal(Crypto.SigningPolicySelector type,
                      Set<EncryptionToken> paramEncryptionTokenSet,
                      byte[] content)
               throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### seal

          byte[] seal(Crypto.SigningPolicySelector type,
                      KeyResult symmKey,
                      byte[] content)
               throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### seal

          byte[] seal(Crypto.SigningPolicySelector type,
                      Set<EncryptionToken> paramEncryptionTokenSet,
                      KeyResult symmKey,
                      byte[] content)
               throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### unseal

          UnsealedData unseal(Crypto.SigningPolicySelector type,
                              byte[] protectedMessage)
                       throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### unseal

          UnsealedData unseal(Crypto.SigningPolicySelector type,
                              KeyResult symmKey,
                              byte[] protectedMessage)
                       throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.